org.apache.cassandra.streaming

## Class StreamHeader

- java.lang.Object
- - org.apache.cassandra.streaming.StreamHeader

-     public class StreamHeader
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `PendingFile` | `file` file being sent on initial stream
    `java.util.Collection<PendingFile>` | `pendingFiles` files to add to the session
    `static IVersionedSerializer<StreamHeader>` | `serializer`
    `java.util.UUID` | `sessionId` session ID
    `java.lang.String` | `table`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamHeader(java.lang.String table, java.util.UUID sessionId, PendingFile file)`
    `StreamHeader(java.lang.String table, java.util.UUID sessionId, PendingFile first, java.util.Collection<PendingFile> pendingFiles)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final IVersionedSerializer<StreamHeader> serializer

    - #### table

          public final java.lang.String table

    - #### file

          public final PendingFile file

      file being sent on initial stream

    - #### sessionId

          public final java.util.UUID sessionId

      session ID

    - #### pendingFiles

          public final java.util.Collection<PendingFile> pendingFiles

      files to add to the session

  - ### Constructor Detail

    - #### StreamHeader

          public StreamHeader(java.lang.String table,
                      java.util.UUID sessionId,
                      PendingFile file)

    - #### StreamHeader

          public StreamHeader(java.lang.String table,
                      java.util.UUID sessionId,
                      PendingFile first,
                      java.util.Collection<PendingFile> pendingFiles)

Copyright © 2014 The Apache Software Foundation